using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGridGroupingSelectEvent : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    protected void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridGroupHeaderItem)
        {
            GridGroupHeaderItem groupHeaderItem = e.Item as GridGroupHeaderItem;
            groupHeaderItem.Attributes.Add("onclick", "ToggleExpandedState(this,event);");

            groupHeaderItem.DataCell.HorizontalAlign = HorizontalAlign.Center;
            groupHeaderItem.BackColor = Color.Orange;
            (groupHeaderItem.Cells[0] as TableCell).Style["display"] = "none";
        }
    }
    protected void RadGrid1_ColumnCreated(object sender, GridColumnCreatedEventArgs e)
    {
        if (e.Column is GridGroupSplitterColumn)
        {
            e.Column.Visible = false;
        }
    }
}